/* Variables */
:root {
  --text: #2d2d2d;
  --border: #d8d8d8;
  --button: #145aee;
  --button-hover: #3e77e8;
  --white: #ffffff;
  --grey: #808080;
  --text-success: #155724;
  --bg-success: #d4edda;
  --border-success: #c3e6cb;
  --text-error: #721c24;
  --bg-error: #f8d7da;
  --border-error: #f5c6cb;
}

/* Global */

html * {
  box-sizing: border-box;
}

body {
  margin: 0;
  color: var(--text);
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
}

p {
  line-height: 1.5;
}

.content-wrapper {
  width: 100vw;
  max-width: 100%;
  min-height: 100vh;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card {
  width: 100%;
  max-width: 550px;
  border: 1px solid var(--border);
  border-radius: 1rem;
  padding: 2rem;
}

.card .section {
  position: relative;
  transition: opacity 0.2s ease;
}

.card .section.disabled {
  opacity: 0.3;
  pointer-events: none;
}

.card .section + .section {
  margin-top: 2rem;
}

.card .header h1 {
  margin-top: 0;
}

/* Flash Messages */

.flash-messages {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  max-width: 100%;
  padding: 1rem;
}

.flash-messages .flash {
  display: flex;
  justify-content: space-between;
  padding: 0.75rem 1.25rem;
  border-radius: 0.25rem;
}

.flash-messages .flash p {
  margin: 0;
  line-height: 2;
}

.flash-messages .flash button {
  background-color: transparent;
  padding: 0;
  color: inherit;
  font-size: 1.5rem;
  outline: none;
}

.flash-messages .flash.flash--success {
  color: var(--text-success);
  background-color: var(--bg-success);
  border: 1px solid var(--border-success);
}

.flash-messages .flash.flash--error {
  color: var(--text-error);
  background-color: var(--bg-error);
  border: 1px solid var(--border-error);
}

/* Forms */

form label,
.label {
  display: block;
  font-size: 1.25rem;
  font-weight: bold;
  margin-bottom: 1rem;
}

form input[type="text"],
form input[type="email"] {
  padding: 0.6rem 0.4rem;
  border: 1px solid var(--border);
}

button,
input[type="submit"],
input[type="file"] + label {
  border: 1px solid transparent;
  background-color: var(--button);
  color: var(--white);
  border: none;
  padding: 0.6rem 1.2rem;
  border-radius: 0.2rem;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.2s ease;
}

button.second,
input[type="submit"].second,
input[type="file"].second + label {
  background-color: var(--white);
  border: 1px solid var(--button);
  color: var(--button);
}

button:hover,
input[type="submit"]:hover,
input[type="file"] + label:hover {
  background-color: var(--button-hover);
  color: var(--white);
}

button:disabled,
input[type="submit"]:disabled,
input[type="file"]:disabled + label {
  background-color: var(--grey);
  cursor: initial;
}

form .input-group {
  display: flex;
}

form .input-group .text {
  flex-grow: 1;
  margin: 0 0.5rem 0 0;
}

form .input-group p.text {
  line-height: 2;
}

[type="file"] {
  height: 0;
  overflow: hidden;
  width: 0;
}

[type="file"] + label {
  background: #f15d22;
  text-align: center;
  color: var(--white);
  display: block;
  margin-bottom: 1rem;
  position: relative;
  cursor: pointer;
  font-size: inherit;
}

form fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

form fieldset:disabled {
  display: none;
}

/* Index */

#target-img {
  background-color: var(--border);
  display: block;
  width: 100%;
  height: auto;
  min-height: 10rem;
  margin-bottom: 1rem;
}

/* Attachment */

#preview-picture {
  max-width: 100%;
  height: auto;
  margin-bottom: 1rem;
}

#preview-picture[src=""] {
  display: none;
}
